Set the mainboard/amd directory up to support more than one. 

remove Config variables now defined elsewhere.
add rumba Kconfig and Makefile.inc

rumba won't build until my earlier patches are acked.
Signed-off-by: Ronald G. Minnich <rminnich@gmail.com>


Index: src/mainboard/amd/Kconfig
===================================================================
--- src/mainboard/amd/Kconfig	(revision 4607)
+++ src/mainboard/amd/Kconfig	(working copy)
@@ -1 +1,9 @@
-source "src/mainboard/amd/serengeti_cheetah/Kconfig"
\ No newline at end of file
+choice
+	prompt "Mainboard model"
+	depends on VENDOR_AMD
+
+source "src/mainboard/amd/serengeti_cheetah/Kconfig"
+source "src/mainboard/amd/rumba/Kconfig"
+
+endchoice
+
Index: src/mainboard/amd/rumba/Kconfig
===================================================================
--- src/mainboard/amd/rumba/Kconfig	(revision 0)
+++ src/mainboard/amd/rumba/Kconfig	(revision 0)
@@ -0,0 +1,62 @@
+
+
+##
+## This file is part of the coreboot project.
+##
+## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
+##
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+##
+config BOARD_AMD_RUMBA
+	bool "Rumba"
+	select ARCH_X86
+	select CPU_AMD_GX2
+	select NORTHBRIDGE_AMD_GX2
+	select SOUTHBRIDGE_AMD_CS5536
+	select UDELAY_TSC
+	select HAVE_PIRQ_TABLE
+	help
+	  AMD Rumba mainboard.
+
+config MAINBOARD_DIR
+	string
+	default amd/rumba
+	depends on BOARD_AMD_RUMBA
+
+config MAINBOARD_PART_NUMBER
+	string
+	default "Rumba"
+	depends on BOARD_AMD_RUMBA
+
+config HAVE_OPTION_TABLE
+	bool
+	default n
+	depends on BOARD_AMD_RUMBA
+
+config IRQ_SLOT_COUNT
+	int
+	default 2
+	depends on BOARD_AMD_RUMBA
+
+config USE_INIT
+	int
+	default 0
+	depends on BOARD_AMD_RUMBA
+
+
+config TSC_X86RDTSC_CALIBRATE_WITH_TIMER2
+	int
+	default 0
+	depends on BOARD_AMD_RUMBA
Index: src/mainboard/amd/rumba/Makefile.inc
===================================================================
--- src/mainboard/amd/rumba/Makefile.inc	(revision 0)
+++ src/mainboard/amd/rumba/Makefile.inc	(revision 0)
@@ -0,0 +1 @@
+include $(src)/mainboard/Makefile.romccboard.inc
Index: src/mainboard/amd/serengeti_cheetah/Kconfig
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Kconfig	(revision 4607)
+++ src/mainboard/amd/serengeti_cheetah/Kconfig	(working copy)
@@ -1,7 +1,3 @@
-choice
-	prompt "Mainboard model"
-	depends on VENDOR_AMD
-
 config BOARD_AMD_SERENGETI_CHEETAH
 	bool "Serengeti Cheetah"
 	select ARCH_X86
@@ -17,7 +13,6 @@
 	select USE_DCACHE_RAM
 	help
 	 AMD Serengeti Cheetah mainboard.
-endchoice
 
 config MAINBOARD_DIR
 	string
@@ -74,10 +69,6 @@
 	default "Serengeti-Cheetah"
 	depends on BOARD_AMD_SERENGETI_CHEETAH
 
-config PCI_64BIT_PREF_MEM
-	int
-	default 0
-	depends on BOARD_AMD_SERENGETI_CHEETAH
 
 config USE_FAILOVER_IMAGE
 	int
